Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230332 - Yum extender crashes when update
Summary: Yum extender crashes when update
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: yumex
Version: 6
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Lauridsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-28 13:28 UTC by nikola novakovic
Modified: 2014-01-21 22:57 UTC (History)
0 users

Fixed In Version: 2.0.x
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-09-28 10:45:33 UTC


Attachments (Terms of Use)

Description nikola novakovic 2007-02-28 13:28:17 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.9) Gecko/20070131 Fedora/1.5.0.9-2.fc6 Firefox/1.5.0.9 pango-text

Description of problem:
Yum extender crashes when update.

With following dump:

Component: yumex
Version: 1.2.2
Summary: TB03120a34 yumexmain.py:1045:_runBackground:TypeError: iterable argument required

Traceback (most recent call last):
  File "/usr/share/yumex/yumexmain.py", line 1108, in ?
    mainApp = YumexMainApplication()
  File "/usr/share/yumex/yumexmain.py", line 541, in __init__
    self.setup_yum()
  File "/usr/share/yumex/yumexmain.py", line 990, in setup_yum
    self._runBackground( self.yumexbase.set_active_repos, self.repoView.get_selected() )
  File "/usr/share/yumex/yumexmain.py", line 1045, in _runBackground
    raise self.backgroundThread.exception
TypeError: iterable argument required

Local variables in innermost frame:
runfunc: <bound method yumexBase.set_active_repos of <yumex.yumexBase.yumexBase object at 0x9f2448c>>
args: (['core', 'extras', 'updates'],)
self: <__main__.YumexMainApplication instance at 0x9f1218c>


Version-Release number of selected component (if applicable):
yumex-1.2.2-1.0.fc6

How reproducible:
Always


Steps to Reproduce:
1.Start the yum extender
2.
3.

Actual Results:
Crash dialog offering to save the dump file.

Expected Results:


Additional info:

Comment 1 Tim Lauridsen 2007-02-28 14:17:32 UTC
I will take a look

Comment 2 Tim Lauridsen 2007-09-28 10:45:33 UTC
Should be fixed in current yumex 2.0.x


Note You need to log in before you can comment on or make changes to this bug.